%define major 12
%define libname %mklibname ticalcs2_ %{major}
%define develname %mklibname ticalcs2 -d

Name:           libticalcs2
Version:        1.1.9
Release:        %mkrel 3
Summary:        Texas Instruments calculator communication library

Group:          System/Libraries
License:        GPLv2+
URL:            https://sourceforge.net/projects/tilp/
Source0:        https://download.sourceforge.net/tilp/%{name}-%{version}.tar.bz2

BuildRequires:  glib2-devel
BuildRequires:  pkgconfig(ticonv)
BuildRequires:  pkgconfig(ticables2)
BuildRequires:  pkgconfig(tifiles2)
BuildRequires:  gettext-devel

%package i18n
Summary:        Internationalization and locale data for %{name}
Group:          System/Internationalization
BuildArch:      noarch
Conflicts:      %{_lib}ticalcs11 < 1.1.8-2

%description i18n
Internationalization and locale data for %{name}.

%package -n %{libname}
Group:          System/Libraries
Summary:        Texas Instruments calculators files library
Provides:       %{name} = %{version}-%{release}
Requires:       %{name}-i18n >= %{version}-%{release}

%package -n %{develname}
Group:          Development/C
Summary:        Development files for %{name}
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       ticalcs2-devel = %{version}-%{release}
Obsoletes:      %{_lib}ticalcs-devel < 1.1.9

%description
The ticalcs library is a library which brings about all the
functions needed to communicate with a Texas Instruments
graphing calculator (or hand-held).

%description -n %{libname}
The ticalcs library is a library which brings about all the
functions needed to communicate with a Texas Instruments
graphing calculator (or hand-held). Currently, it does not
support some education devices (such as CBL/CBR and others).
This library is able to communicate with handhelds in a fairly
transparent fashion. With this library, the developer does not
have to worry about the packet oriented protocol, the file
management and some other stuff.

%description -n %{develname}
Include files and libraries for developing applications
to work with libticalcs.

%prep
%setup -q

rm po/fr.gmo

%build
autoreconf -vfi
%configure --disable-static
%make_build

make -C po fr.gmo

%check
make -C tests check

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files i18n -f %{name}.lang

%files -n %{libname}
%doc README AUTHORS ChangeLog
%license COPYING
%{_libdir}/libticalcs2.so.%{major}
%{_libdir}/libticalcs2.so.%{major}.*

%files -n %{develname}
%{_includedir}/tilp2/*
%{_libdir}/pkgconfig/ticalcs2.pc
%{_libdir}/libticalcs2.so


%changelog
* Tue Feb 11 2020 umeabot <umeabot> 1.1.9-3.mga8
+ Revision: 1489032
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 08 2018 wally <wally> 1.1.9-2.mga7
+ Revision: 1257816
- rebuild for aarch64

* Sun Jan 01 2017 wally <wally> 1.1.9-1.mga6
+ Revision: 1079375
- new version 1.1.9
- new libmajor 12
- fix lib and devel pkg names

* Sun Jan 01 2017 wally <wally> 1.1.8-2.mga6
+ Revision: 1079368
- split out translations from lib pkg

* Sat Sep 24 2016 zezinho <zezinho> 1.1.8-1.mga6
+ Revision: 1055652
- try to follow mageia libs policy
- imported package libticalcs2


* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jul 03 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.8-4
- Removed a redundancy in the spec file; only install documentation once.

* Thu Jul 02 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.8-3
- Added a line endings fix for one of the CSS documentation files.
- Removed duplicate include of the localization file.
- Switched the define macro to a global macro.

* Wed Jul 01 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.8-2
- Added missing gettext dependency to build-requires.

* Mon Apr 13 2015 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.8-1
- Bumped release from 0 to 1.
- Added a docs subpackage for HTML documentation.
- Changed spec to run test suite.
- Changed spec to generate localization files using find_lang.

* Sat Apr 20 2013 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.8-0
- Updated to latest upstream version of tilp

* Wed Jul 11 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.7-2
- Added full documentation, built by tfdocgen

* Thu Jul 05 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.7-1
- Moved pkgconfig file and non-versioned *.so  to devel package
- Removed libtool archive from the package
- Package now depends on devel subpackages of other libti* libraries

* Tue Jun 19 2012 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.7-0
- Updated to version 1.1.7
- Added new -devel subpackage for the include files
- Vastly improved spec file

* Sat Jul 30 2011 'Ben Rosser' <rosser.bjr@gmail.com> 1.1.6-0
- Initial version of the package
